# $Revision: 1.13 $, $Date: 2009/11/16 19:48:06 $
%define	pkgname	compiz-plugins-unsupported
Summary:	Unsupported Compiz Fusion plugins
Summary(pl.UTF-8):	Niewspierane wtyczki Compiz Fusion
Name:		compiz-fusion-plugins-unsupported
Version:	0.8.4
Release:	1
License:	GPL v2+
Group:		X11
Source0:	http://releases.compiz.org/%{version}/%{pkgname}-%{version}.tar.bz2
# Source0-md5:	73c7d70040cd4fd48ea29677b0f2f21e
URL:		http://www.compiz.org/
BuildRequires:	GConf2-devel
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9
BuildRequires:	compiz-bcop >= %{version}
BuildRequires:	compiz-devel >= %{version}
BuildRequires:	compiz-fusion-plugins-main-devel >= %{version}
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	compiz >= %{version}
Obsoletes:	beryl-plugins
Obsoletes:	beryl-plugins-unsupported
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fakeargb: Makes a special color of a window transparent.
Mswitch: Enables the switching of viewports with mouse gestures.
Snow: Displays falling snow over the desktop and windows.
Tile: Enables the tiling of windows on the desktop in a manner similar
    to ion3.

%description -l pl.UTF-8
Fakeargb: Sprawia, że wybrany kolor staje się przezroczystym.
Mswitch: Umożliwia przełączanie viewportów za pomocą gestów myszy.
Snow: Wyświetla spadający śnieg nad pulpitem i oknami.
Tile: Umożliwia kafelkowanie okien na pulpicie w podobny sposób jak
    ion3.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__glib_gettextize}
%{__intltoolize} --automake
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.la

%find_lang %{pkgname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{pkgname}.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/*.png
%{_datadir}/compiz/*.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: compiz-fusion-plugins-unsupported.spec,v $
Revision 1.13  2009/11/16 19:48:06  zbyniu
- missing BRs

Revision 1.12  2009/11/16 18:42:11  sparky
- up to 0.8.4

Revision 1.11  2009/04/11 10:53:12  qboosh
- more verbose files

Revision 1.10  2009/03/08 16:51:41  shadzik
- 0.8.2

Revision 1.9  2008/09/24 16:21:21  vip
- up to 0.7.8

Revision 1.8  2008-06-01 10:37:46  vip
- updated rest of the compiz packages to 0.7.6

Revision 1.7  2008-04-06 18:17:11  wolvverine
- up to 0.7.4

Revision 1.6  2008-03-07 16:01:08  rotom
- 0.7.2

Revision 1.5  2007/10/21 08:36:33  rotom
- up to 0.6.0

Revision 1.4  2007/09/02 18:52:23  aflinta
- rebuild with compiz 0.5.4, release 3

Revision 1.3  2007/08/27 10:28:27  megabajt
- release 2

Revision 1.2  2007/08/26 18:41:25  qboosh
- BRs cleanup
- clarified License
- fixed locale names

Revision 1.1  2007/08/13 19:50:43  wolf
- new
